Gtk2::WebKit::WebNavigationAction(3)

NAME
Gtk2::WebKit::WebNavigationAction

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::WebNavigationAction

METHODS

  integer = $navigation_action->get_button

  integer = $navigation_action->get_modifier_state

  string = $navigation_action->get_original_uri

  $navigation_action->set_original_uri ($original_uri)

•   $original_uri (string)

  webnavigationreason = $navigation_action->get_reason

  $navigation_action->set_reason ($reason)

•   $reason (Gtk2::WebKit::WebNavigationReason)

PROPERTIES

'button' (integer : default -1 : readable / writable / construct-only / private)
    The button used to click

'modifier-state' (integer : default 0 : readable / writable / construct-only / private)
    A bitmask representing the state of the modifier keys

'original-uri' (string : default "" : readable / writable / construct / private)
    The URI that was requested as the target for the navigation

'reason' (Gtk2::WebKit::WebNavigationReason : default "other" : readable / writable / construct / private)
    The reason why this navigation is occurring

'target-frame' (string : default undef : readable / writable / construct-only / private)
    The target frame for the navigation

ENUMS AND FLAGS

  enum Gtk2::WebKit::WebNavigationReason

•   'link-clicked' / 'WEBKIT_WEB_NAVIGATION_REASON_LINK_CLICKED'

•   'form-submitted' / 'WEBKIT_WEB_NAVIGATION_REASON_FORM_SUBMITTED'

•   'back-forward' / 'WEBKIT_WEB_NAVIGATION_REASON_BACK_FORWARD'

•   'reload' / 'WEBKIT_WEB_NAVIGATION_REASON_RELOAD'

•   'form-resubmitted' / 'WEBKIT_WEB_NAVIGATION_REASON_FORM_RESUBMITTED'

•   'other' / 'WEBKIT_WEB_NAVIGATION_REASON_OTHER'

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz